<?php

register_nls_cluster_health_dashlet();

function register_nls_cluster_health_dashlet() {

	$dashlet_opts = array(
        	DASHLET_NAME        => 'nls_cluster_health',
                DASHLET_TYPE        => DASHLET_TYPE_CORE,
                DASHLET_SERVER_TYPE => SERVER_TYPE_NLS,
                DASHLET_VERSION     => '1.0.0',
                DASHLET_DATE        => '12/12/2017',
                DASHLET_AUTHOR      => 'Nagios Enterprises',
                DASHLET_DESCRIPTION => _('Show the health of a fused Nagios Log Server cluster.'),
                DASHLET_COPYRIGHT   => '© 2017 Nagios Enterprises, LLC',
                DASHLET_HOMEPAGE    => 'www.nagios.com',
                DASHLET_LICENSE     => _('GPL v2'),
                DASHLET_PREVIEW     => get_dashlets_base_url() . 'nls_cluster_health/nls_cluster_health.png',
                DASHLET_LOAD_URL    => get_dashlets_base_url() . 'nls_cluster_health/nls_cluster_health.php',
                DASHLET_TITLE       => _('Log Server Cluster Health'),
                DASHLET_PARAMS      => 'get_nls_cluster_health_dashlet_params',
	);

	register_dashlet($dashlet_opts);
}


function get_nls_cluster_health_dashlet_params() {
        $arr = get_dashlet_dependent_params(true, false, false, false, SERVER_TYPE_NLS);
        return $arr;
}


?>